# Univerter

A web youtube downloader & converter for youtube videos with no client-sided javascript. It can be found at https://yt.violets-purgatory.dev

Currently supports a wide variety of formats, but only supports youtube. If you have any other sites you want supported, or any other formats, please open an issue.

# Installation

There are 2 main ways to install Univerter:

## Docker

The docker image can be found at https://hub.docker.com/r/bingusviolet/univerter
Port 8080 (or whatever you set the environment variable to) is exposed inside the container. It can be changed with `-p`
Example:
```bash
docker run -p 5009:8080 bingusviolet/univerter
```
It can now be found on port 5009

## Npm

1. Clone the repository

```bash
git clone https://github.com/Violets-puragtory/YoutubeConverter
cd YoutubeConverter
```

2. Install Dependancies

- <a href="https://github.com/FFmpeg/FFmpeg">ffmpeg</a>
- <a href="https://github.com/nodejs/node">node</a>
- <a href="https://github.com/npm/cli">npm</a>

3. Download NodeJS Dependencies

```bash
npm install
```

## Starting it

```bash
npm start
```

# Environment Variables

`PORT`= [Preffered Port] (8080 by default)